Bug 118746 - Requiring compilers on a web server is a security flaw, so JSPs should be pre-compiled at build time
Summary: Requiring compilers on a web server is a security flaw, so JSPs should be pre...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: dev environment (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords: FutureFeature
: 118869 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-19 19:03 UTC by Daniel Berrange
Modified: 2007-04-18 17:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:36:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2004-03-19 19:03:29 UTC
Description of problem:
Requiring compilers to be present on a web/app server is a potential
security flaw, particularly with CMS allowing uploading of arbitrary
JSP code. For most projects there is no need to change JSPs on a
production system, so we could use Jasper to pre-compile the JSPs at
build time. They could then be packaged up & copied into the work
directory where Tomcat would magically pick them up. A similar trick
is possible in Resin.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
ANT task for pre-compiling JSPs for Tomcat.

http://cvs.apache.org/~fhanik/precompile.html

Instructions of compiling JSPs for Resin:

http://www.caucho.com/quercus/faq/question.xtp?question_id=302

Comment 1 Daniel Berrange 2004-03-22 11:03:46 UTC
*** Bug 118869 has been marked as a duplicate of this bug. ***

Comment 2 Daniel Berrange 2006-09-02 17:36:45 UTC
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.